package ar.edu.unju.fi.poo01.modelo;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Representa a un producto de la aplicación
 * @author José Zapana
 * @version 1.0
 * @since 22/08/2023
 * @see Ver HU nro XXXX
 */
public class Producto {
	private Integer id;
	private String nombre;
	private Double precio;
	private Date fechaIngreso;
	
	

	/**
	 * Construtor con id, nombre y precio
	 * @param id
	 * @param nombre
	 * @param precio
	 */
	public Producto(Integer id, String nombre, Double precio) {
		super();
		this.id = id;
		this.nombre = nombre;
		this.precio = precio;
		this.fechaIngreso = new Date();
	}
	
	
	public Producto() {

	}

	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public Double getPrecio() {
		return precio;
	}
	public void setPrecio(Double precio) {
		this.precio = precio;
	}
	public Date getFechaIngreso() {
		return fechaIngreso;
	}
	public void setFechaIngreso(Date fechaIngreso) {
		this.fechaIngreso = fechaIngreso;
	}

	@Override
	public String toString() {
		//FIXME Mejorar esta forma de formatear la fecha
		String fechaString = null;
		SimpleDateFormat sdf = new SimpleDateFormat("dd-MM-yyyy");
		fechaString = sdf.format(this.fechaIngreso);
		
		return "Producto [id=" + id + ", nombre=" + nombre + ", precio=" + precio + ", fechaIngreso=" + fechaString
				+ "]";
	}
	
}
